package vis;

public class GraphTester {

    public void makeSynthetic() {
        double one = 1.5;
        double zero = 0.0;
        
        /* first graph */
        Graph graph1 = new Graph();
        Vertex a1 = new Vertex("A");
        graph1.addVertex(a1);
        Vertex b1 = new Vertex("B");
        graph1.addVertex(b1);
        Vertex c1 = new Vertex("C");
        graph1.addVertex(c1);
        Vertex d1 = new Vertex("D");
        graph1.addVertex(d1);
        Vertex e1 = new Vertex("E");
        graph1.addVertex(e1);
        Vertex f1 = new Vertex("F");
        graph1.addVertex(f1);
        Vertex g1 = new Vertex("G");
        graph1.addVertex(g1);
        Vertex h1 = new Vertex("H");
        graph1.addVertex(h1);
        Vertex i1 = new Vertex("I");
        graph1.addVertex(i1);
        Vertex j1 = new Vertex("J");
        graph1.addVertex(j1);
        
        graph1.addEdge(a1, g1, one);
        graph1.addEdge(a1, e1, one);
        graph1.addEdge(a1, b1, one);
        graph1.addEdge(b1, e1, one);
        graph1.addEdge(b1, h1, one);
        graph1.addEdge(i1, h1, one);
        graph1.addEdge(i1, e1, one);
        graph1.addEdge(i1, c1, one);
        graph1.addEdge(i1, j1, one);
        graph1.addEdge(i1, d1, one);
        graph1.addEdge(f1, d1, one);
        graph1.addEdge(f1, g1, one);
        graph1.addEdge(c1, e1, one);
        
        
        /* second graph */
        Graph graph2 = new Graph();
        Vertex c2 = new Vertex("C");
        graph2.addVertex(c2);
        Vertex e2 = new Vertex("E");
        graph2.addVertex(e2);
        Vertex i2 = new Vertex("I");
        graph2.addVertex(i2);
        Vertex d2 = new Vertex("D");
        graph2.addVertex(d2);
        Vertex p2 = new Vertex("P");
        graph2.addVertex(p2);
        Vertex l2 = new Vertex("L");
        graph2.addVertex(l2);
        Vertex k2 = new Vertex("K");
        graph2.addVertex(k2);
        Vertex o2 = new Vertex("O");
        graph2.addVertex(o2);
        Vertex m2 = new Vertex("M");
        graph2.addVertex(m2);
        Vertex j2 = new Vertex("J");
        graph2.addVertex(j2);
        Vertex n2 = new Vertex("N");
        graph2.addVertex(n2);
        
        graph2.addEdge(p2, l2, one);
        graph2.addEdge(p2, n2, one);
        graph2.addEdge(d2, n2, one);
        graph2.addEdge(j2, n2, one);
        graph2.addEdge(m2, n2, one);
        graph2.addEdge(i2, e2, one);
        graph2.addEdge(i2, c2, one);
        graph2.addEdge(i2, k2, one);
        graph2.addEdge(i2, d2, one);
        graph2.addEdge(i2, m2, one);
        graph2.addEdge(i2, j2, one);
        graph2.addEdge(m2, l2, one);
        graph2.addEdge(c2, e2, one);
        graph2.addEdge(k2, c2, one);
        graph2.addEdge(k2, o2, one);
        
        Graph graph = new Graph();
        for (int i = 0; i < graph1.vertices.size(); i++) {
            graph.addVertex(graph1.vertices.get(i));
        }
        for (int i = 0; i < graph2.vertices.size(); i++) {
            graph.addVertex(graph2.vertices.get(i));
        }
        graph.addEdge(c1, c2, zero);
        graph.addEdge(e1, e2, zero);
        graph.addEdge(i1, i2, zero);
        graph.addEdge(d1, d2, zero);
        graph.addEdge(j1, j2, zero);
        
        graph.computeDistances();
        graph.computeNodePositions();
        graph1.output("g1", false);
        graph2.output("g2", false);
    }
    
    public static void main(String[] args) {
        GraphTester tester = new GraphTester();
        tester.makeSynthetic();
    }

}
