package vis;

import java.util.ArrayList;

public class Vertex {
    public double x,y;
    public double dx,dy;
    public String label;
    public ArrayList<Edge> edges;
    public String color = null;
    
    public Vertex(String label) {
        this.label = label;
        this.x = Math.random()*1.0;
        this.y = Math.random()*1.0;
        this.edges = new ArrayList<Edge>();
    }
    
    public void addEdge(Edge e) {
        edges.add(e);
    }
    
    public void setColor(String color) {
        this.color = color;
    }

}
